Bug 282981 - ESC problems on Intel Mac
ESC problems on Intel Mac
Status: CLOSED NOTABUG
Product: Red Hat Certificate System
Classification: Red Hat
Component: ESC (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2007-09-07 14:50 EDT by Issue Tracker
Modified: 2015-01-04 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2007-09-07 14:50:57 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2007-09-07 14:50:59 EDT
Description of problem:
I am not able to do any token operation for ESC on Intel Mac machine.  All button are gray out.

How reproducible:
The version of OSx is 10.4.10 G5 mac Pro.
Install ESC from CS 7.2 release CD.

This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 2 Issue Tracker 2007-09-07 14:51:00 EDT
hi Kent,

Thanks, I downloaded and installed on new MacBook Pro. I can see ESC
installed software on /usr/local/CoolKey directory.  I am able to use it. 
However, the package does NOT include ESC, token enrollment utility. It
only has smartcard driver.

Would you mind double check for me? Maybe I miss some things.

Thanks,
Fu


This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 3 Issue Tracker 2007-09-07 14:51:01 EDT
there should have been 2 directories - ESC.app and Coolkey1.14.pkg...

ESC.app should contain the ESC app, and Coolkey1.14.pkg should contain the
smartcard stuff... Was this not what you found?








This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 4 Issue Tracker 2007-09-07 14:51:03 EDT
https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=7088


This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 5 Issue Tracker 2007-09-07 14:51:04 EDT
File uploaded: Picture 2.png

This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
it_file 101311
Comment 6 Issue Tracker 2007-09-07 14:51:05 EDT
File uploaded: Picture 3.png

This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
it_file 101312
Comment 7 Issue Tracker 2007-09-07 14:51:05 EDT
seg - the mt view guys are expecting this...


Per the CS 7.3 docs, installation of ESC on an Intel-based Mac is
preformed with the following steps:

----------------------------------------------------------
 Procedure 4.3. To install the ESC on Mac OS X:

   1. Download the SmartCardManager-1.0.1-X.OSX4.darwin.dmg file from the
Red Hat Network channel.
   2. Double-click the SmartCardManager-1.0.1-X.OSX4.darwin.dmg file to
display the Enterprise Security Client Volume.

      Inside the Volume are two directories, ESC.app and Coolkey1.14.pkg.
ESC.app is the Enterprise Security Client application, and Coolkey1.14.pkg
is the installer for the token support software, including the TokenD
system...

-----------------------------------------------------------

However, the version currently on RHN for Mac, 
SmartCardManager-1.0.1-4.OSX4.darwin.dmg, does not include both
directories when the dmg is mounted.  Attached are 2 screenshots taken on
OSx on an intel-based Mac, one is at the folder level (dmg mounted) the
other is at the contects level..





Issue escalated to Support Engineering Group by: klamb@redhat.com.
Internal Status set to 'Waiting on SEG'
Status set to: Waiting on Tech

This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 8 Issue Tracker 2007-09-07 14:51:06 EDT
Marc,

Fu found it, but I still think our docs need to be corrected...




This event sent from IssueTracker by msauton  [Support Engineering Group]
 issue 131461
Comment 9 Marc Sauton 2007-09-07 14:54:05 EDT
Description of problem:

The installation document of esc 1.0.1-4 OS X from cs73 do not match the actual
events.
https://www.redhat.com/docs/manuals/cert-system/7.3/html/Enterprise_Security_Client_Guide/Installation-Installation_on_Mac_OS_X.html


Version-Release number of selected component (if applicable):

esc 1.0.1-4 OS X from cs73 


How reproducible:

Always



Steps to Reproduce:
1. Download ESC for Mac from RHN
https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=7088
Red Hat Certificate System 7.3 (for AS v. 4 for x86)
Downloads
 SmartCardManager-1.0.1-4.OSX4.darwin.dmg       19 MB  
9ef5f9e42aa825a96acf867138ac02e7


2. Try to follow the doc at:
https://www.redhat.com/docs/manuals/cert-system/7.3/html/Enterprise_Security_Client_Guide/Installation-Installation_on_Mac_OS_X.html

  
Actual results:

The steps 2, 3, 4 are no longer up to date:
"
2 - Double-click the SmartCardManager-1.0.1-X.OSX4.darwin.dmg file to display
the Enterprise Security Client Volume.

Inside the Volume are two directories, ESC.app and Coolkey1.14.pkg. ESC.app is
the Enterprise Security Client application, and Coolkey1.14.pkg is the installer
for the token support software, including the TokenD system.

3 - Drag the ESC.app file to an accessible location (for example, the desktop),
to install the Enterprise Security Client.

4 - Install the CoolKey package, as follows:

   1. Double-click the Coolkey1.14.pkg file to launch the CoolKey installer, and
follow the directions to complete the installation. 
"


Expected results:

Matching install doc.
My steps where:
"
1- Download from RHN RHEL4 32bits and RHCS 7.3 channels, go to the download
section, select SmartCardManager-1.0.1-4.OSX4.darwin.dmg
2- Open SmartCardManager-1.0.1-4.OSX4.darwin.dmg
3- Double click on SmartCardManager1.14.pkg
4- Follow the instructions on the screen
5- In your Application folder double click on the ESC application to start it.

"

Additional info:

Either the doc or the pkg file are incomplete.

Note You need to log in before you can comment on or make changes to this bug.